Description

Two possibly conflicting basic requirements for this site:
1. Registration needs to be fairly open.  Anyone who is actually able to contribute something constructive should be able to
register to do so.
2. Any user can create and contribute to a project.

Requirement 2, along with more usual requirements like cutting down on spammers, implies that we need to be fairly careful about the
exact details of requirement 1 because a self-registered user will have quite a lot of power.  But we don't want to make anything so
painful that nobody will use the service.

This suggests we want a registration system in which a moderator has to approve the registration, and the hopeful user has to provide
a little more real-world information than might normally be the case.  For example, we could ask for some details about the work they
are interested in, or their background, or something audio-related, as a sort of Turing test akin to a rather sophisticated CAPTCHA to
try to establish that the user is genuine.

Meanwhile, the email sent to a moderator asking for a decision on each new user should have a bit more information than it currently
does -- ideally the moderator should to be able to make the decision purely from reading the email (so it needs the contents of
whatever credential information it was that we asked them to provide -- or is there any security concern over sending this information
in the email?).

Finally, we perhaps also want moderator approval for new project creation.  Not sure whether Redmine supports this?

Subtasks:
Bug # 45: The server crashes when updating the details of "old users" Closed
Feature # 52: Description needs to be visible and editable after registration Closed
Feature # 53: Description needs to appear in the admin's registration notification email Closed
Feature # 55: ask user for their institution or affiliation as well Closed
Bug # 57: Description must not permit HTML Closed

History
#1 - 2010-12-06 01:55 PM - Luis Figueira
- Status changed from New to In Progress

Added a description field in a new model called ssamr_user_details. This Model can be expanded for more details.

The description field can be tested on my test instance.

#2 - 2010-12-08 03:33 PM - Luis Figueira
- Due date set to 2010-12-13
- Assignee changed from Chris Cannam to Luis Figueira
- Priority changed from Normal to High
The application crashes when updating the details of "old users", i.e., users without description.

#3 - 2011-02-07 02:00 PM - Chris Cannam
- Status changed from In Progress to Closed

All subtasks now live.  Closing
